<?php
	/**
	 * -----------------------------------------
	 * @author Nico Schubert / www.php-space.info
	 * @copyright Das Script kann unter Verwendung des Copyright uneingeschrnkt genutzt / verndert werden. Das Copyright muss im Code sowie in der Ausgabe erhalten bleiben.
	 * @version Simple PHP Forum 1.03 - 21.08.2011
	 * @abstract Das Script luft erst ab der Php Version 5.0 oder hher. Wenn Sie Probleme mit den Einrichten haben, so schauen Sie bitte in die Anleitung -> Installationsanleitung_1.01.pdf
	 * -----------------------------------------
	*/
session_start();
if(@file_exists('config.php')==true)
	include_once('config.php');
else {
	 echo 'No Config File existing.';
	 exit;
}
if(@file_exists('language/'.$language_file)==true)
	include_once('language/'.$language_file);
else {
	 echo 'No Language File existing.';
	 exit;
}
if(file_exists('error_log.php')==true)
	include_once('error_log.php');
if(function_exists("date_default_timezone_set")==true)
	@date_default_timezone_set($timezone);
if(file_exists('function.php')==true)
	include_once('function.php');
if(file_exists('dbcache_class.php')==true)
	include_once('dbcache_class.php');
if(file_exists('navigation.php')==true)
	include_once('navigation.php');
if(!isset($_GET['bid'])) $_GET['bid']=0; else $_GET['bid']=sprintf("%d", $_GET['bid']);
if(!isset($_SESSION['user_id'])) $_SESSION['user_id']=0; else $_SESSION['user_id']=sprintf("%d", $_SESSION['user_id']);
$dbh = new DBI($mysql_host, $mysql_db,$mysql_benutzer, $mysql_password, $mysql_cachedir);
$sql_select="SELECT title, kategorie_id FROM `".$mysql_praefix."beitraege` WHERE `id` = '".mysql_escape_string($_GET['bid'])."' LIMIT 1;";
$sth = $dbh->prepare($sql_select, $cache_time);
$sth->execute();
if($sth->rows()==0){
	header("HTTP/1.1 301 Moved Permanently");
	header("Location: ".$url."/");
	header("Connection: close");
} else {
	$daten = $sth->fetchrow_hash();
	$title=$daten["title"];
	$kategorie_id=$daten["kategorie_id"];
	$sth->finish();
	$sql_select="SELECT name FROM `".$mysql_praefix."kategorie` WHERE `id` = '".$kategorie_id."' LIMIT 1;";
    $sth = $dbh->prepare($sql_select, $cache_time);
    $sth->execute();
    $daten = $sth->fetchrow_hash();
    $kategorie_name=$daten["name"];
    $sth->finish();
	$ausgabe  ='<html>';
	$ausgabe .='<head>';
	$ausgabe .='<title>'.htmlentities(stripslashes(limitch($title,100))).' - '.$kategorie_name.'</title>';
	$ausgabe .='<link rel="stylesheet" type="text/css" href="style.css">';
	$ausgabe .='</head>';
	$ausgabe .='<body>';
	$ausgabe .='<center>';
	$ausgabe .= '<table class="table_style" cellpadding="0" cellspacing="0">';
	$ausgabe .= " <tr>";
	$ausgabe .= "  <td colspan=\"3\" class=\"td_style\">";
	$ausgabe .= '		<table class="table_style_title" cellpadding="0" cellspacing="0">';
	$ausgabe .= " 			<tr>";
	$ausgabe .= "  				<td class=\"td_style_h1\"><h1>".htmlentities(stripslashes(limitch($title,75)))."</h1></td>";
	$ausgabe .= "  				<td>&nbsp;&nbsp;</td>";
	$ausgabe .= "  				<td nowrap>".navigation()."</td>";
	$ausgabe .= " 			</tr>";
	$ausgabe .= " 		</table>";
	$ausgabe .= "	</td>";
	$ausgabe .= " </tr>";
	$ausgabe .= " <tr>";
	$ausgabe .= "  <td class=\"td_style\" colspan=\"3\">".$lang['beitraege_1']."<a href=\"".$url."".SID."\">".$forum_name."</a> >  <a href=\"".$url."/kategorie.php?".SID."&id=".$kategorie_id."\">".$kategorie_name."</a> > ".htmlentities(stripslashes(limitch($title,75)))."</td>";
	$ausgabe .= " </tr>";
	$ausgabe .= " <tr>";
	$ausgabe .= "  <td class=\"td_style\" colspan=\"3\"><a href=\"".$url."/antwort_schreiben.php?".SID."&bid=".$_GET['bid']."\" rel=\"nofollow\">".$lang['beitraege_2']."</a></td>";
	$ausgabe .= " </tr>";
	$sql_select="SELECT text, id, erstellt_am, autor, geaendert_am FROM `".$mysql_praefix."post` WHERE `".$mysql_praefix."post`.`beitrag_id` ='".mysql_escape_string($_GET['bid'])."' ORDER BY `".$mysql_praefix."post`.`erstellt_am` DESC";
	$sth = $dbh->prepare($sql_select, $cache_time);
	$sth->execute();
	$anzahl=$sth->rows();
	if($anzahl==0){
		$ausgabe .= " <tr>";
		$ausgabe .= "  <td class=\"td_style\" colspan=\"3\">".$lang['beitraege_3']."</td>";
		$ausgabe .= " </tr>";
	} else {
		$ausgabe .= " <tr>";
		$ausgabe .= "  <td class=\"td_style_head\" colspan=\"3\">".htmlentities(stripslashes($title))."</td>";
		$ausgabe .= " </tr>";
		$zeile = 0;
		$style1 = 'class="td_style2"';
		$style2 = 'class="td_style3"';
		while($daten = $sth->fetchrow_hash()){
			$zeile++;
			$style = ($zeile % 2) ? ($style1) : ($style2);
			$text=str_replace("\n","<br>",wordwrap(htmlentities(stripslashes($daten["text"])), 62, "\n",true));
			$sql_select2="SELECT username, status FROM `".$mysql_praefix."user` WHERE `id` = '".$daten["autor"]."' LIMIT 1;";
            $sth2 = $dbh->prepare($sql_select2, $cache_time);
            $sth2->execute();
            $daten_user = $sth2->fetchrow_hash();
            $sth2->finish();

            $sql_select3="SELECT status FROM `".$mysql_praefix."user` WHERE `id` = '".$_SESSION['user_id']."' LIMIT 1;";
            $sth3 = $dbh->prepare($sql_select3, 60);
            $sth3->execute();
            $daten_user_s = $sth3->fetchrow_hash();
            $sth3->finish();

            $edit_link=((($_SESSION['user_id']==$daten["autor"]) OR ($daten_user_s["status"] == 'admin') )?'<a href="'.$url.'/edit_beitrag.php?'.SID.'&aid='.$daten['id'].'" class="font_klein">'.$lang['beitraege_4'].'</a>':'');
			$delete_link=(($daten_user_s["status"] == 'admin' )? ' | <a href="'.$url.'/delete_beitrag.php?'.SID.'&aid='.$daten['id'].'" class="font_klein">'.$lang['beitraege_5'].'</a>':'');

			$a=str_replace("~zeit~",date("d.m.Y \\u\\m H:i",$daten["geaendert_am"]), $lang['beitraege_6']);
			$b=str_replace("~zeit~",date("d.m.Y \\u\\m H:i",$daten["erstellt_am"]), $lang['beitraege_7']);
			if($daten_user["username"]=='') $daten_user["username"]=$lang['function_1'];
			$c=str_replace("~username~",$daten_user["username"], $b);

			$geaendert_am=(($daten['geaendert_am']!=0)?'<p class="font_klein">'.$a.'</p>':'');
			$ausgabe .= " <tr>";
			$ausgabe .= "  <td ".$style." colspan=\"3\"><a name=\"anker".$daten['id']."\"></a><font class=\"font_klein\">".$c."</font><p>".$text.'</p>'.$geaendert_am.$edit_link.$delete_link."</td>";
			$ausgabe .= "</tr>";
		}
	}
	$sth->finish();
	$ausgabe .='</table>';
	eval(base64_decode("JGF1c2dhYmUgLj0iPHA+UG93ZXJlZCBieSA8YSBocmVmPVwiaHR0cDovL3d3dy5waHAtc3BhY2Uu
aW5mby9zaW1wbGUtcGhwLWZvcnVtL1wiPlNpbXBsZSBQSFAgRm9ydW08L2E+IKkgMjAwOSBQaHAt
U3BhY2UuaW5mbyANCjwvcD4iOw=="));
	$ausgabe .='</center>';
	$ausgabe.= "</body>\n";
	$ausgabe.= "</html>\n";
	echo $ausgabe;
	exit;
}
?>